package com.sunxung.factoring.entity.acceptance;

import com.baomidou.mybatisplus.annotation.TableField;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * @Description : 基础货物信息类
 * @Author : L.Jia
 * @Date: 2022-03-10 16:19
 */
public class BaseGoods extends BaseEntity {

    /**
     * 验收单基础信息表Id
     */
    @TableField("c_acceptance_basic_info_id")
    private Long cAcceptanceBasicInfoId;

    /**
     * 验收单货物信息表Id
     */
    @TableField("c_acceptance_goods_info_id")
    private Long acceptanceGoodsInfoId;

    /**
     * 销售总价
     */
    @TableField("sales_total_price")
    private BigDecimal salesTotalPrice;
    /**
     * 销售质保金
     */
    @TableField("sales_guarantee_money")
    private BigDecimal salesGuaranteeMoney;
    /**
     * 采购单价
     */
    @TableField("purchase_price")
    private BigDecimal purchasePrice;
    /**
     * 采购总价
     */
    @TableField("purchase_total_price")
    private BigDecimal purchaseTotalPrice;
    /**
     * 采购质保金
     */
    @TableField("purchase_guarantee_money")
    private BigDecimal purchaseGuaranteeMoney;

    public Long getcAcceptanceBasicInfoId() {
        return cAcceptanceBasicInfoId;
    }

    public void setcAcceptanceBasicInfoId(Long cAcceptanceBasicInfoId) {
        this.cAcceptanceBasicInfoId = cAcceptanceBasicInfoId;
    }

    public Long getAcceptanceGoodsInfoId() {
        return acceptanceGoodsInfoId;
    }

    public void setAcceptanceGoodsInfoId(Long acceptanceGoodsInfoId) {
        this.acceptanceGoodsInfoId = acceptanceGoodsInfoId;
    }

    public BigDecimal getSalesTotalPrice() {
        return salesTotalPrice;
    }

    public void setSalesTotalPrice(BigDecimal salesTotalPrice) {
        this.salesTotalPrice = salesTotalPrice;
    }

    public BigDecimal getSalesGuaranteeMoney() {
        return salesGuaranteeMoney;
    }

    public void setSalesGuaranteeMoney(BigDecimal salesGuaranteeMoney) {
        this.salesGuaranteeMoney = salesGuaranteeMoney;
    }

    public BigDecimal getPurchasePrice() {
        return purchasePrice;
    }

    public void setPurchasePrice(BigDecimal purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    public BigDecimal getPurchaseTotalPrice() {
        return purchaseTotalPrice;
    }

    public void setPurchaseTotalPrice(BigDecimal purchaseTotalPrice) {
        this.purchaseTotalPrice = purchaseTotalPrice;
    }

    public BigDecimal getPurchaseGuaranteeMoney() {
        return purchaseGuaranteeMoney;
    }

    public void setPurchaseGuaranteeMoney(BigDecimal purchaseGuaranteeMoney) {
        this.purchaseGuaranteeMoney = purchaseGuaranteeMoney;
    }
}
